/*
 * Raima Database Manager
 *
 * Copyright (C) 2016 Raims Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 */

/** \file rdmrowidtypes.h
 *  \brief Header for row ID types
 */

#if !defined(RDMROWIDTYPES_H_INCLUDED_)
#define RDMROWIDTYPES_H_INCLUDED_

#include "psptypes.h"

typedef uint64_t RDM_ROWID_T; /**< The RDM row ID */
typedef uint8_t RDM_UNO;      /**< The RDM union number */
typedef uint64_t RDM_SLOT;    /**< The RDM slot */

#define NULL_ROWID ((RDM_ROWID_T) 0) /**< The NULL row ID */
#define NULL_SLOT ((RDM_SLOT) 0)     /**<  The NULL slot */

#endif /* RDMROWIDTYPES_H_INCLUDED_ */
